%define svn r3009
Summary: Notification Daemon
Name: notification-daemon
Version: 0.3.90
Release: %mkrel 0.%svn.1
License: GPLv2+
Group: System/Servers
Source: http://www.galago-project.org/files/releases/source/notification-daemon/notification-daemon-%{svn}.tar.bz2
#gw from RH: fix clipped notifications (bug #39952)
Patch2: notification-daemon-clipping.patch
Patch3: notification-daemon-svn3009-distfix.patch
Patch4: notification-daemon-positioning.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://www.galago-project.org/
Provides: notify-daemon
Obsoletes: notify-daemon
Provides: virtual-notification-daemon
Buildrequires: dbus-glib-devel
BuildRequires: libsexy-devel
BuildRequires: libwnck-devel
BuildRequires: libGConf2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libnotify-devel
BuildRequires: gstreamer0.10-devel
BuildRequires: intltool
BuildRequires: gnome-common


%description
A daemon that displays passive pop-up notifications as per the
Desktop Notifications spec (http://galago.info/specs/notification/index.php).

%prep
%setup -q -n %name
%patch2 -p1 -b .clipping
%patch3 -p0 -b .svn3009-distfix
%patch4 -p0 -b .positioning
./autogen.sh
intltoolize --force

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/%name-1.0/engines/*.a
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %name

%preun
%preun_uninstall_gconf_schemas %name

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%_bindir/notification-properties
%_datadir/applications/notification-properties.desktop
%_datadir/%name
%_sysconfdir/gconf/schemas/notification-daemon.schemas
%{_libexecdir}/%name
%_libdir/notification-daemon-1.0/
%{_datadir}/dbus-1/services/*




%changelog
* Thu Aug 28 2008 Götz Waschk <waschk@mandriva.org> 0.3.90-0.r3009.1mdv2008.1
+ Revision: 276851
- update build deps
- update file list
- new svn snapshot
- drop patch 0
- add fedora patches to fix build and positioning of the bubbles
- update license

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.7-5mdv2009.0
+ Revision: 265199
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 10 2008 Götz Waschk <waschk@mandriva.org> 0.3.7-4mdv2009.0
+ Revision: 192546
- patch for bug #39952 (clipped notification text)

* Mon Mar 17 2008 Götz Waschk <waschk@mandriva.org> 0.3.7-3mdv2008.1
+ Revision: 188242
- patch to support markup in summaries

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.7-2mdv2008.1
+ Revision: 153286
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Feb 28 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.7-1mdv2007.0
+ Revision: 126929
- New release 0.3.7

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 0.3.6-4mdv2007.1
+ Revision: 108283
- bump release

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 0.3.6-3mdv2007.1
+ Revision: 108200
- use the right macros

* Wed Jan 10 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.6-2mdv2007.1
+ Revision: 107076
- Add Provides

* Wed Nov 08 2006 Colin Guthrie <cguthrie@mandriva.org> 0.3.6-1mdv2007.0
+ Revision: 78548
- Patch to fix dbus-binding-tool usage
- New Release
- Import notification-daemon

* Sat Aug 05 2006 Götz Waschk <waschk@mandriva.org> 0.3.5-3mdv2007.0
- fix buildrequires

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.3.5-2mdv2007.0
- Rebuild with latest dbus

* Thu Apr 27 2006 Götz Waschk <waschk@mandriva.org> 0.3.5-1mdk
- New release 0.3.5

* Thu Mar 16 2006 Götz Waschk <waschk@mandriva.org> 0.3.4-2mdk
- rebuild for new libsexy

* Sun Feb 05 2006 Götz Waschk <waschk@mandriva.org> 0.3.4-1mdk
- New release 0.3.4

* Fri Jan 27 2006 Götz Waschk <waschk@mandriva.org> 0.3.3-3mdk
- fix buildrequires

* Thu Jan 26 2006 Götz Waschk <waschk@mandriva.org> 0.3.3-2mdk
- fix buildrequires

* Thu Jan 26 2006 Götz Waschk <waschk@mandriva.org> 0.3.3-1mdk
- drop patch
- New release 0.3.3

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- add gconf handling
- update file list
- fix engines directory
- obsolete the ill-fated notify-daemon
- New release 0.3.2
- use mkrel

* Fri Nov 25 2005 Götz Waschk <waschk@mandriva.org> 0.2.4-1mdk
- fix buildrequires
- New release 0.2.4

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 0.2.2-2mdk
- fix buildrequires

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- initial mdk package

* Wed Jul 13 2005 Richard Hughes <richard@hughsie.com> 0.0.1-1
- initial packaging of 0.0.1

